import type { PipeFn } from '../internalTypes.js';
/**
 * Buffer the input iterable into arrays of the given size.
 * @param size - The size of the buffer.
 * @returns A function that takes an async iterable and returns an async iterable of arrays of the given size.
 */
export declare function opBufferAsync<T>(size: number): (iter: AsyncIterable<T>) => AsyncIterable<T[]>;
/**
 * @param size - The size of the buffer.
 * @returns A function that takes an iterable and returns an iterable of arrays of the given size.
 */
export declare function opBufferSync<T>(size: number): (iter: Iterable<T>) => Iterable<T[]>;
export declare function opBuffer<T>(size: number): PipeFn<T, T[]>;
//# sourceMappingURL=buffer.d.ts.map