/**
 * Dynamically import a module using `import`.
 * @param moduleName - name of module, or relative path.
 * @param paths - search paths
 * @returns the loaded module.
 */
export declare function dynamicImportFrom<Module>(moduleName: string | URL, paths: string | URL | (string | URL)[] | undefined): Promise<Module>;
/**
 * Use Import.meta.resolve logic to try and determine possible locations for a module.
 * @param moduleName - name of module, relative path, or absolute path.
 * @param paths - Places to start resolving from.
 * @returns location of module
 */
export declare function importResolveModuleName(moduleName: string | URL, paths: (string | URL)[]): URL;
//# sourceMappingURL=dynamicImport.d.mts.map