export declare function encodePathChars(filepath: string): string;
/**
 * Normalize a file path for use in a URL.
 * ```js
 * const url = new URL(normalizeFilePathForUrl('path\\to\\file.txt'), 'file:///Users/user/');
 * // Result: file:///Users/user/path/to/file.txt
 * ```
 * @param filePath
 * @returns a normalized file path for use as a relative path in a URL.
 */
export declare function normalizeFilePathForUrl(filePath: string): string;
/**
 * Try to make a file URL.
 * - if filenameOrUrl is already a URL, it is returned as is.
 * -
 * @param filenameOrUrl
 * @param relativeTo - optional URL, if given, filenameOrUrl will be parsed as relative.
 * @returns a URL
 */
export declare function toFileURL(filenameOrUrl: string | URL, relativeTo?: string | URL): URL;
/**
 * Converts a file path to a URL and adds a trailing slash.
 * @param dir - url to a directory
 * @returns a URL
 */
export declare function toFileDirURL(dir: string | URL): URL;
//# sourceMappingURL=defaultFileUrlBuilder.d.mts.map