import type { CSpellConfigFileReaderWriter } from './CSpellConfigFileReaderWriter.js';
import type { FileLoaderMiddleware } from './FileLoader.js';
import type { IO } from './IO.js';
import type { SerializerMiddleware } from './Serializer.js';
/**
 *
 * @param deserializers - Additional deserializers to use when reading a config file. The order of the deserializers is
 *    important. The last one in the list will be the first one to be called.
 * @param io - an optional injectable IO interface. The default it to use the file system.
 * @returns
 */
export declare function createReaderWriter(deserializers?: SerializerMiddleware[], loaders?: FileLoaderMiddleware[], io?: IO): CSpellConfigFileReaderWriter;
//# sourceMappingURL=createReaderWriter.d.ts.map