import type { CSpellIO } from './CSpellIO.js';
import type { FileReference, TextFileResource, UrlOrFilename, UrlOrReference } from './models/FileResource.js';
import type { DirEntry, Stats } from './models/index.js';
export declare class CSpellIOWeb implements CSpellIO {
    readFile(_uriOrFilename: string | URL): Promise<TextFileResource>;
    readFileSync(_uriOrFilename: string | URL): TextFileResource;
    readDirectory(_urlOrFilename: string | URL): Promise<DirEntry[]>;
    writeFile(_uriOrFilename: UrlOrReference, _content: string | ArrayBufferView): Promise<FileReference>;
    getStat(_uriOrFilename: string | URL): Promise<Stats>;
    getStatSync(_uriOrFilename: string | URL): Stats;
    compareStats(left: Stats, right: Stats): number;
    toURL(_uriOrFilename: UrlOrReference): URL;
    toFileURL(_urlOrFilename: UrlOrFilename, _relativeTo?: string | URL | undefined): URL;
    urlBasename(_uriOrFilename: string | URL): string;
    urlDirname(_uriOrFilename: string | URL): URL;
}
//# sourceMappingURL=CSpellIOWeb.d.ts.map