import { findUpFromUrl } from './findUpFromUrl.js';
export class CVFileSystem {
    #core;
    readFile;
    writeFile;
    stat;
    readDirectory;
    getCapabilities;
    constructor(core) {
        this.#core = core;
        this.readFile = this.#core.readFile.bind(this.#core);
        this.writeFile = this.#core.writeFile.bind(this.#core);
        this.stat = this.#core.stat.bind(this.#core);
        this.readDirectory = this.#core.readDirectory.bind(this.#core);
        this.getCapabilities = this.#core.getCapabilities.bind(this.#core);
    }
    get providerInfo() {
        return this.#core.providerInfo;
    }
    get hasProvider() {
        return this.#core.hasProvider;
    }
    findUp(name, from, options = {}) {
        const opts = { ...options, fs: this.#core };
        return findUpFromUrl(name, from, opts);
    }
}
//# sourceMappingURL=CVFileSystem.js.map