import { getDefaultCSpellIO } from '../CSpellIONode.js';
import { toError } from '../errors/index.js';
export async function readFileText(filename, encoding) {
    const fr = await getDefaultCSpellIO().readFile(filename, encoding);
    return fr.getText();
}
export function readFileTextSync(filename, encoding) {
    return getDefaultCSpellIO().readFileSync(filename, encoding).getText();
}
export async function getStat(filenameOrUri) {
    try {
        return await getDefaultCSpellIO().getStat(filenameOrUri);
    }
    catch (e) {
        return toError(e);
    }
}
export function getStatSync(filenameOrUri) {
    try {
        return getDefaultCSpellIO().getStatSync(filenameOrUri);
    }
    catch (e) {
        return toError(e);
    }
}
//# sourceMappingURL=file.js.map