import * as fs from 'node:fs';
import * as Stream from 'node:stream';
import { promisify } from 'node:util';
import * as zlib from 'node:zlib';
import { encoderTransformer } from '../../common/transformers.js';
const pipeline = promisify(Stream.pipeline);
export function writeToFile(filename, data, encoding) {
    return writeToFileIterable(filename, typeof data === 'string' ? [data] : data, encoding);
}
export function writeToFileIterable(filename, data, encoding) {
    const stream = Stream.Readable.from(encoderTransformer(data, encoding));
    const zip = /\.gz$/.test(filename) ? zlib.createGzip() : new Stream.PassThrough();
    return pipeline(stream, zip, fs.createWriteStream(filename));
}
//# sourceMappingURL=fileWriter.js.map