import type { VFileSystem } from '../../../fileSystem.js';
export declare class ConfigSearch {
    readonly searchPlaces: readonly string[];
    readonly allowedExtensionsByProtocol: Map<string, readonly string[]>;
    private fs;
    private searchCache;
    private searchDirCache;
    private searchPlacesByProtocol;
    /**
     * @param searchPlaces - The list of file names to search for.
     * @param allowedExtensionsByProtocol - Map of allowed extensions by protocol, '*' is used to match all protocols.
     * @param fs - The file system to use.
     */
    constructor(searchPlaces: readonly string[], allowedExtensionsByProtocol: Map<string, readonly string[]>, fs: VFileSystem);
    searchForConfig(searchFromURL: URL): Promise<URL | undefined>;
    clearCache(): void;
    private findUpConfigPath;
    private hasConfig;
    private createHasFileDirSearch;
    private readDir;
    private createHasFileStatCheck;
    private hasConfigDir;
}
//# sourceMappingURL=configSearch.d.ts.map