import { PartialTrieInfo, TrieCharacteristics, TrieInfo } from '../ITrieNode/TrieInfo.js';
import { CharIndex } from './CharIndex.js';
import type { FastTrieBlobBitMaskInfo } from './FastTrieBlobBitMaskInfo.js';
type Node = Uint32Array;
type Nodes = Node[];
export declare class FastTrieBlobInternals implements FastTrieBlobBitMaskInfo {
    readonly nodes: Nodes;
    readonly charIndex: CharIndex;
    readonly NodeMaskEOW: number;
    readonly NodeMaskChildCharIndex: number;
    readonly NodeChildRefShift: number;
    readonly isIndexDecoderNeeded: boolean;
    readonly info: Readonly<TrieInfo>;
    constructor(nodes: Nodes, charIndex: CharIndex, maskInfo: FastTrieBlobBitMaskInfo, info: Readonly<PartialTrieInfo>);
}
interface TrieMethods extends Readonly<TrieCharacteristics> {
    readonly nodeFindNode: (idx: number, word: string) => number | undefined;
    readonly nodeFindExact: (idx: number, word: string) => boolean;
    readonly nodeGetChild: (idx: number, letter: string) => number | undefined;
    readonly isForbidden: (word: string) => boolean;
    readonly findExact: (word: string) => boolean;
}
export declare class FastTrieBlobInternalsAndMethods extends FastTrieBlobInternals implements TrieMethods {
    readonly nodeFindNode: (idx: number, word: string) => number | undefined;
    readonly nodeFindExact: (idx: number, word: string) => boolean;
    readonly nodeGetChild: (idx: number, letter: string) => number | undefined;
    readonly isForbidden: (word: string) => boolean;
    readonly findExact: (word: string) => boolean;
    readonly hasForbiddenWords: boolean;
    readonly hasCompoundWords: boolean;
    readonly hasNonStrictWords: boolean;
    constructor(nodes: Nodes, charIndex: CharIndex, maskInfo: FastTrieBlobBitMaskInfo, info: PartialTrieInfo, trieMethods: Readonly<TrieMethods>);
}
/**
 * Sorts the nodes in place if possible.
 * @param nodes
 * @param mask
 * @returns
 */
export declare function sortNodes(nodes: Uint32Array[], mask: number): Uint32Array[];
export declare function assertSorted(nodes: Uint32Array[], mask: number): void;
export {};
//# sourceMappingURL=FastTrieBlobInternals.d.ts.map