export class AutoCacheMap extends Map {
    autoFn;
    constructor(autoFn) {
        super();
        this.autoFn = autoFn;
    }
    get(v) {
        const r = super.get(v);
        if (r !== undefined)
            return r;
        const u = this.autoFn(v);
        super.set(v, u);
        return u;
    }
}
export class AutoCacheWeakMap extends WeakMap {
    autoFn;
    constructor(autoFn) {
        super();
        this.autoFn = autoFn;
    }
    get(v) {
        const r = super.get(v);
        if (r !== undefined)
            return r;
        const u = this.autoFn(v);
        super.set(v, u);
        return u;
    }
}
//# sourceMappingURL=autoCacheMap.js.map