import assert from 'node:assert';
import { isValidUtf16Character } from './text.js';
export function isValidChar(char) {
    return isValidUtf16Character(char);
}
export function assertIsValidChar(char, message) {
    if (!isValidChar(char)) {
        assert(false, `${message} "${char}" ${formatCharCodes(char)}`);
    }
}
export function formatCharCodes(char) {
    return (char
        // eslint-disable-next-line unicorn/prefer-spread
        .split('')
        // eslint-disable-next-line unicorn/prefer-code-point
        .map((c) => '0x' + c.charCodeAt(0).toString(16).padStart(4, '0').toUpperCase())
        .join(':'));
}
//# sourceMappingURL=isValidChar.js.map